<div class="container-fluid mt-4">

  <div class="card p-4">
    <div class="row">
      <div class="col-md-12">
        <h4>{{translate('title')}}</h4>
      </div>
    </div>

    <form [formGroup]="formGroup" (submit)="save()">
      <div class="row">
        <div class="col-md-6">
          <div class="form-group">
            <label for="nome">{{translate('nome')}}</label>
            <span class="field-required">*</span>
            <input type="text"
                   id="nome"
                   name="nome"
                   formControlName="nome"
                   class="form-control"
                   pInputText>
            <app-form-error [form]="formGroup"
                            inputName="nome"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>

        <div class="col-md-6">
          <div class="form-group">
            <label for="usuario">{{translate('user')}}</label>
            <span class="field-required">*</span>
            <input type="text"
                   id="usuario"
                   name="usuario"
                   formControlName="usuario"
                   class="form-control"
                   pInputText>
            <app-form-error [form]="formGroup"
                            inputName="usuario"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>

      </div>
      <div class="row">
        <div class="col-md-4">
          <div class="form-group">
            <label for="senha">{{translate('password')}}</label>
            <span class="field-required">*</span>
            <input type="text"
                   id="senha"
                   name="senha"
                   formControlName="senha"
                   class="form-control"
                   pInputText>
            <app-form-error [form]="formGroup"
                            inputName="senha"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="email">{{translate('email')}}</label>
            <input type="text"
                   id="email"
                   name="email"
                   formControlName="email"
                   class="form-control"
                   pInputText>
          </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="dtNascimento">{{translate('data_nascimento')}}</label>
            <p-calendar inputId="basic"
                        id="dtNascimento"
                        name="dtNascimento"
                        dataType="string"
                        dateFormat="dd/mm/yy"
                        formControlName="dtNascimento"
                        inputStyleClass="form-control"
                        [style]="{width: '100%'}">
            </p-calendar>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-12">
          <app-salvar [typeButton]="'submit'"></app-salvar>
          <app-cancelar (click)="back()"></app-cancelar>
        </div>
      </div>
    </form>
  </div>
</div>
